/**
 * 芝麻go组件
 */
// @ts-nocheck
Component({
  data: {
    isReady: false,
    pluginAppId: '2021002191638959',
    pluginPageUrl: '',
    pluginVersion: '*',
    propsData: {
      alipayStoreId: undefined,
      // 支付宝店铺号
      storeId: undefined,
      // 门店编号
      returnUrl: '',
      // 开通失败 | 开通成功跳转地址，TIP：开通失败时，failedUrl优先级高
      failedUrl: '',
      // 开通失败跳转地址
      appId: '' // 非必填,活动appId

    }
  },
  props: {
    componentData: {
      componentExtInfo: {}
    }
  },

  didMount() {
    this.setData({
      propsData: this.props.componentData.componentExtInfo || {}
    });
    this.loadPlugin();
  },

  methods: {
    loadPlugin() {
      const {
        pluginAppId,
        pluginVersion
      } = this.data;
      const that = this;
      my.loadPlugin({
        plugin: `${pluginAppId}@${pluginVersion}`,
        success: () => {
          that.setData({
            isReady: true
          });
        }
      });
    }

  }
});